#!/bin/bash

# Check if the .srt file and translation file are given as arguments
if [ "$#" -ne 2 ]; then
    echo "Usage: $0 filename.srt translation_file.txt"
    exit 1
fi

# Name of the .srt file and the translation file
srt_file="$1"
translation_file="$2"

# Check if file exist
if [ ! -f "$srt_file" ]; then
    echo "SRT file not found!"
    exit 1
fi

if [ ! -f "$translation_file" ]; then
    echo "Translation file not found!"
    exit 1
fi

# Read translation files and replace text in .srt files
while IFS=' =' read -r line_number translated; do
    # Use sed to replace text on a specific line
    sed -i "${line_number}s/.*/$translated/" "$srt_file"
done < "$translation_file"

echo "Translation completed."
